# Class QuorumBean

java.lang.Object
org.apache.zookeeper.server.quorum.QuorumBean

All Implemented Interfaces:
  `ZKMBeanInfo, QuorumMXBean`

public class QuorumBean extends Object implements QuorumMXBean, ZKMBeanInfo

## Constructor Summary

Constructors
Constructor
Description
`QuorumBean(QuorumPeer peer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`disableDigest()`
`boolean`
`getDigestEnabled()`
`int`
`getInitLimit()`
`String`
`getName()`
`long`
`getObserverElectionDelayMS()`
`int`
`getQuorumSize()`
`int`
`getSyncLimit()`
`boolean`
`isHidden()`
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools.
`boolean`
`isPortUnification()`
`boolean`
`isSslQuorum()`
`void`
`setInitLimit(int initLimit)`
`void`
`setObserverElectionDelayMS(long delayMS)`
Set the Observer Leader Election Reconnect Delay time in MS
`void`
`setSyncLimit(int syncLimit)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QuorumBean

public QuorumBean(QuorumPeer peer)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `QuorumMXBean`
Specified by:
  `getName` in interface `ZKMBeanInfo`
Returns:
  the name of the quorum

### isHidden

public boolean isHidden()
Description copied from interface: `ZKMBeanInfo`
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools. Used for grouping MBeans.

Specified by:
  `isHidden` in interface `ZKMBeanInfo`
Returns:
  true if the MBean is hidden.

### getQuorumSize

public int getQuorumSize()

Specified by:
  `getQuorumSize` in interface `QuorumMXBean`
Returns:
  configured number of peers in the quorum

### getSyncLimit

public int getSyncLimit()

Specified by:
  `getSyncLimit` in interface `QuorumMXBean`
Returns:
  the number of ticks that can pass between sending a request and getting an acknowledgment

### getInitLimit

public int getInitLimit()

Specified by:
  `getInitLimit` in interface `QuorumMXBean`
Returns:
  the number of ticks that the initial synchronization phase can take

### setInitLimit

public void setInitLimit(int initLimit)

Specified by:
  `setInitLimit` in interface `QuorumMXBean`
Parameters:
  `initLimit` - the number of ticks that the initial synchronization phase can take

### setSyncLimit

public void setSyncLimit(int syncLimit)

Specified by:
  `setSyncLimit` in interface `QuorumMXBean`
Parameters:
  `syncLimit` - the number of ticks that can pass between sending a request and getting an acknowledgment

### isSslQuorum

public boolean isSslQuorum()

Specified by:
  `isSslQuorum` in interface `QuorumMXBean`
Returns:
  SSL communication between quorum members required

### isPortUnification

public boolean isPortUnification()

Specified by:
  `isPortUnification` in interface `QuorumMXBean`
Returns:
  SSL communication between quorum members enabled

### getObserverElectionDelayMS

public long getObserverElectionDelayMS()

Specified by:
  `getObserverElectionDelayMS` in interface `QuorumMXBean`
Returns:
  Observer Leader Election Reconnect Delay time in MS

### setObserverElectionDelayMS

public void setObserverElectionDelayMS(long delayMS)
Description copied from interface: `QuorumMXBean`
Set the Observer Leader Election Reconnect Delay time in MS

Specified by:
  `setObserverElectionDelayMS` in interface `QuorumMXBean`

### getDigestEnabled

public boolean getDigestEnabled()

Specified by:
  `getDigestEnabled` in interface `QuorumMXBean`

### disableDigest

public void disableDigest()

Specified by:
  `disableDigest` in interface `QuorumMXBean`